function OnModPreInit()
	--print("Mod - OnModPreInit()") -- first this is called for all mods
end

function OnModInit()
	--print("Mod - OnModInit()") -- after that this is called for all mods
    ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/ALongTimeAgo/files/scripts/actions.lua" )
    ModLuaFileAppend( "data/scripts/gun/gun_actions_unlimited.lua", "mods/ALongTimeAgo/files/scripts/actions.lua" )
    ModLuaFileAppend( "data/scripts/gun/_gun_actions_unlimited.lua", "mods/ALongTimeAgo/files/scripts/actions.lua" )
    ModLuaFileAppend( "data/scripts/gun/gun_actions_limited.lua", "mods/ALongTimeAgo/files/scripts/actions.lua" )
    ModLuaFileAppend( "data/scripts/gun/gun_actions_petri.lua", "mods/ALongTimeAgo/files/scripts/actions.lua" )	
end

function OnModPostInit()
	--print("Mod - OnModPostInit()") -- then this is called for all mods
end

function OnPlayerSpawned( player_entity ) -- this 
	local init_check_flag = "add_lightsaber_done"
	if GameHasFlagRun( init_check_flag ) then
		return
	end
	
    local x, y = EntityGetTransform(player_entity)
    EntityLoad( "mods/ALongTimeAgo/files/entities/items/blaster_wand.xml", x+25, y-25 )
	EntityLoad( "mods/ALongTimeAgo/files/entities/items/lightsaber_wand.xml", x-25, y-25 )
	
	GameAddFlagRun( init_check_flag )
end

print("ALongTimeAgo mod init done")
